mbedtls_ctr_drbg_context Struct Reference

CTR_DRBG context structure. More...

`#include <ctr_drbg.h>`

Collaboration diagram for mbedtls_ctr_drbg_context:
[legend]

## Data Fields

unsigned char | counter [16]
int | reseed_counter
int | prediction_resistance
size_t | entropy_len
int | reseed_interval
mbedtls_aes_context | aes_ctx
int(* | f_entropy )(void *, unsigned char *, size_t)
void * | p_entropy
mbedtls_threading_mutex_t | mutex

## Detailed Description

CTR_DRBG context structure.

Definition at line 87 of file ctr_drbg.h.

## Field Documentation

mbedtls_aes_context mbedtls_ctr_drbg_context::aes_ctx

AES context

Definition at line 97 of file ctr_drbg.h.

unsigned char mbedtls_ctr_drbg_context::counter[16]

counter (V)

Definition at line 89 of file ctr_drbg.h.

size_t mbedtls_ctr_drbg_context::entropy_len

amount of entropy grabbed on each (re)seed

Definition at line 93 of file ctr_drbg.h.

int(* mbedtls_ctr_drbg_context::f_entropy) (void *, unsigned char *, size_t)

Definition at line 102 of file ctr_drbg.h.

mbedtls_threading_mutex_t mbedtls_ctr_drbg_context::mutex

Definition at line 107 of file ctr_drbg.h.

void* mbedtls_ctr_drbg_context::p_entropy

context for the entropy function

Definition at line 104 of file ctr_drbg.h.

int mbedtls_ctr_drbg_context::prediction_resistance

enable prediction resistance (Automatic reseed before every random generation)

Definition at line 91 of file ctr_drbg.h.

int mbedtls_ctr_drbg_context::reseed_counter

reseed counter

Definition at line 90 of file ctr_drbg.h.

int mbedtls_ctr_drbg_context::reseed_interval

reseed interval

Definition at line 95 of file ctr_drbg.h.

The documentation for this struct was generated from the following file:

- ctr_drbg.h